export default async function Home() {
  const response = await fetch("https://api.github.com/user/repos", {
    headers: {
      Accept: "application/vnd.github+json",
      Authorization: `Bearer ${process.env.REPOS_READ_ONLY}`,
      "X-GitHub-Api-Version": "2022-11-28",
    },
    cache: "force-cache",
  });
  const data = (await response.json()) as any[];
  console.log(data);

  return (
    <main className="flex flex-col items-center justify-between min-h-screen p-24">
      <div className="z-10 items-center justify-between w-full max-w-5xl font-mono text-sm lg:flex">
        <p className="fixed top-0 left-0 flex justify-center w-full pt-8 pb-6 border-b border-gray-300 bg-gradient-to-b from-zinc-200 backdrop-blur-2xl dark:border-neutral-800 dark:bg-zinc-800/30 dark:from-inherit lg:static lg:w-auto lg:rounded-xl lg:border lg:bg-gray-200 lg:p-4 lg:dark:bg-zinc-800/30">
          {data.toString()}
        </p>
      </div>
    </main>
  );
}
